Package org.apache.sysds.runtime.instructions.cp

## Class DoubleObject

- java.lang.Object
- - org.apache.sysds.runtime.instructions.cp.Data
  - - org.apache.sysds.runtime.instructions.cp.ScalarObject
    - - org.apache.sysds.runtime.instructions.cp.DoubleObject

All Implemented Interfaces:
  `Serializable`

    public class DoubleObject
    extends ScalarObject

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DoubleObject​(double val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getBooleanValue()`
`String` `getDebugName()`
`double` `getDoubleValue()`
`long` `getLongValue()`
`int` `getSize()`
`String` `getStringValue()`
`Object` `getValue()`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.ScalarObject

`getLanguageSpecificStringValue, toString`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.Data

`getDataType, getMetaData, getValueType, removeMetaData, setMetaData, toString, updateDataCharacteristics`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DoubleObject

    public DoubleObject​(double val)

### Method Detail

#### getBooleanValue

    public boolean getBooleanValue()

Specified by:
  `getBooleanValue` in class `ScalarObject`

#### getLongValue

    public long getLongValue()

Specified by:
  `getLongValue` in class `ScalarObject`

#### getDoubleValue

    public double getDoubleValue()

Specified by:
  `getDoubleValue` in class `ScalarObject`

#### getStringValue

    public String getStringValue()

Specified by:
  `getStringValue` in class `ScalarObject`

#### getValue

    public Object getValue()

Specified by:
  `getValue` in class `ScalarObject`

#### getDebugName

    public String getDebugName()

Overrides:
  `getDebugName` in class `ScalarObject`

#### getSize

    public int getSize()

Specified by:
  `getSize` in class `ScalarObject`